Package ru.bitel.bgbilling.modules.qiwi.server.bean

# Enum Class AbstractQiwiProtocol.QiwiResultCode

java.lang.Object
java.lang.Enum<AbstractQiwiProtocol.QiwiResultCode>
ru.bitel.bgbilling.modules.qiwi.server.bean.AbstractQiwiProtocol.QiwiResultCode

All Implemented Interfaces:
  `Serializable`, `Comparable<AbstractQiwiProtocol.QiwiResultCode>`, `Constable`

Enclosing class:
  `AbstractQiwiProtocol`

protected static enum AbstractQiwiProtocol.QiwiResultCode extends Enum<AbstractQiwiProtocol.QiwiResultCode>
Коды ошибок. Используется и в soap, и в rest-версиях протокола.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTH_ERROR`
  `BILL_ALREADY_EXIST`
  `BILL_MODIFYING_DENYED`
  `BILL_NOT_FOUND`
  `BLOCKED_APIID`
  `BLOCKED_IP`
  `BLOCKED_PROVIDER_AUTH`
  `CONVERT_COURCE_UNAVAILABLE`
  `DENYED_CURRENCY`
  `INCORRECT_OPERATION`
  `INCORRECT_PHONE`
  `INCORRECT_REQUEST_DATA`
  `MONTH_LIMIT_OVER`
  `PROTOCOL_ERROR`
  `REQUIRED_PARAMETER_IS_EMPTY`
  `SERVER_BUSY`
  `SUCCESS`
  `SUMM_TOO_BIG`
  `SUMM_TOO_SMALL`
  `TECHNICAL_ERROR`
  `UNAUTHORED`
  `UNDEFINED_MOBILE_OPERATOR`
  `WALLET_NOT_REGISTERED`
  `WALLET_TEMPORARELY_BLOCKED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCode()`
  `static AbstractQiwiProtocol.QiwiResultCode`
  `getResultCodeByCode(int code)`
  `String`
  `getTitle()`
  `static AbstractQiwiProtocol.QiwiResultCode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AbstractQiwiProtocol.QiwiResultCode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUCCESS

    public static final AbstractQiwiProtocol.QiwiResultCode SUCCESS

  - ### INCORRECT_REQUEST_DATA

    public static final AbstractQiwiProtocol.QiwiResultCode INCORRECT_REQUEST_DATA

  - ### SERVER_BUSY

    public static final AbstractQiwiProtocol.QiwiResultCode SERVER_BUSY

  - ### INCORRECT_OPERATION

    public static final AbstractQiwiProtocol.QiwiResultCode INCORRECT_OPERATION

  - ### AUTH_ERROR

    public static final AbstractQiwiProtocol.QiwiResultCode AUTH_ERROR

  - ### PROTOCOL_ERROR

    public static final AbstractQiwiProtocol.QiwiResultCode PROTOCOL_ERROR

  - ### BLOCKED_APIID

    public static final AbstractQiwiProtocol.QiwiResultCode BLOCKED_APIID

  - ### BILL_NOT_FOUND

    public static final AbstractQiwiProtocol.QiwiResultCode BILL_NOT_FOUND

  - ### BILL_ALREADY_EXIST

    public static final AbstractQiwiProtocol.QiwiResultCode BILL_ALREADY_EXIST

  - ### SUMM_TOO_SMALL

    public static final AbstractQiwiProtocol.QiwiResultCode SUMM_TOO_SMALL

  - ### SUMM_TOO_BIG

    public static final AbstractQiwiProtocol.QiwiResultCode SUMM_TOO_BIG

  - ### WALLET_NOT_REGISTERED

    public static final AbstractQiwiProtocol.QiwiResultCode WALLET_NOT_REGISTERED

  - ### TECHNICAL_ERROR

    public static final AbstractQiwiProtocol.QiwiResultCode TECHNICAL_ERROR

  - ### INCORRECT_PHONE

    public static final AbstractQiwiProtocol.QiwiResultCode INCORRECT_PHONE

  - ### BLOCKED_PROVIDER_AUTH

    public static final AbstractQiwiProtocol.QiwiResultCode BLOCKED_PROVIDER_AUTH

  - ### UNAUTHORED

    public static final AbstractQiwiProtocol.QiwiResultCode UNAUTHORED

  - ### BLOCKED_IP

    public static final AbstractQiwiProtocol.QiwiResultCode BLOCKED_IP

  - ### REQUIRED_PARAMETER_IS_EMPTY

    public static final AbstractQiwiProtocol.QiwiResultCode REQUIRED_PARAMETER_IS_EMPTY

  - ### MONTH_LIMIT_OVER

    public static final AbstractQiwiProtocol.QiwiResultCode MONTH_LIMIT_OVER

  - ### WALLET_TEMPORARELY_BLOCKED

    public static final AbstractQiwiProtocol.QiwiResultCode WALLET_TEMPORARELY_BLOCKED

  - ### DENYED_CURRENCY

    public static final AbstractQiwiProtocol.QiwiResultCode DENYED_CURRENCY

  - ### CONVERT_COURCE_UNAVAILABLE

    public static final AbstractQiwiProtocol.QiwiResultCode CONVERT_COURCE_UNAVAILABLE

  - ### UNDEFINED_MOBILE_OPERATOR

    public static final AbstractQiwiProtocol.QiwiResultCode UNDEFINED_MOBILE_OPERATOR

  - ### BILL_MODIFYING_DENYED

    public static final AbstractQiwiProtocol.QiwiResultCode BILL_MODIFYING_DENYED

- ## Method Details

  - ### values

    public static AbstractQiwiProtocol.QiwiResultCode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AbstractQiwiProtocol.QiwiResultCode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()

  - ### getTitle

    public String getTitle()

  - ### getResultCodeByCode

    public static AbstractQiwiProtocol.QiwiResultCode getResultCodeByCode(int code)